[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.WMKillFocus

Handles the LM_KILLFOCUS message for the control.

## Declaration

Source position: stdctrls.pp line 836

`protected procedure TCustomEdit.WMKillFocus(`
`var Message: TLMKILLFOCUS`
`); message;`

## Arguments

`Message` |  | Message handled in the method.

## Description

Calls the inherited WMKillFocus method on entry to perform the EditingDone method when the parent form is Active. Ensures that an emulated TextHint is displayed when needed and allowed.

## See also

TCustomEdit.CanShowEmulatedTextHint |  | Indicates if the value in TextHint can be displayed in the edit control.
TCustomEdit.TextHint |  | Default hint text shown when the Text property is empty for the control.
TCustomEdit.EditingDone |  | Enforces the setting in the ReadOnly property when editing is finished in the control.
TWinControl.WMKillFocus |  | Handles the LM_KILLFOCUS message for the control.